// Oleg Petruny proprietary.

#include "Lost_EdgeShaders.h"

#include "GlobalShader.h"
#include "Misc/Paths.h"
#include "Modules/ModuleManager.h"

IMPLEMENT_GAME_MODULE(FLost_EdgeShaders, Lost_EdgeShaders);


void FLost_EdgeShaders::StartupModule()
{
    // Maps virtual shader source directory to actual shaders directory on disk.
    FString ShaderDirectory = FPaths::Combine(FPaths::ProjectDir(), TEXT("Shaders/Private"));
    AddShaderSourceDirectoryMapping("/Lost_EdgeShaders", ShaderDirectory);
}

void FLost_EdgeShaders::ShutdownModule()
{}